## libvolatilestream 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(volatilestream
    VERSION 0.0.1
    DESCRIPTION "FILE* stream as a temporary allocated memory buffer"
    HOMEPAGE_URL "https://github.com/rd235/libvolatilestream"
    LANGUAGES C)

include(GNUInstallDirs)
add_definitions(-D_GNU_SOURCE)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
set(HEADERS_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/include)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

set(VOLATILESTREAM_SOURCES volatilestream.c)
add_library(volatilestream SHARED ${VOLATILESTREAM_SOURCES})

set_target_properties(volatilestream PROPERTIES VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR})

configure_file(volatilestream.pc.in volatilestream.pc @ONLY)

install(TARGETS volatilestream LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES volatilestream.h DESTINATION ${HEADERS_INSTALL_PATH})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/volatilestream.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

add_subdirectory(man)

=== debian/changelog ===
libvolatilestream (0.1-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Fix Vcs
  * d/rules: Remove trailing whitespace
  * Initial Debian release (Closes: #965297)

 -- Andrea Capriotti <capriott@debian.org>  Sun, 19 Jul 2020 01:49:33 +0200

libvolatilestream (0.1-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 05 Jul 2020 20:02:01 +0200

## libvolatilestream 0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 project(volatilestream
-    VERSION 0.0.1
+    VERSION 0.2.0
     DESCRIPTION "FILE* stream as a temporary allocated memory buffer"
     HOMEPAGE_URL "https://github.com/rd235/libvolatilestream"
     LANGUAGES C)
@@ -27,3 +27,6 @@
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 add_subdirectory(man)
+
+add_custom_target(uninstall
+  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
libvolatilestream (0.2-1) unstable; urgency=medium

  * New Upstream release

 -- Andrea Capriotti <capriott@debian.org>  Sat, 26 Sep 2020 12:33:54 +0200

=== debian/control ===
Source: libvolatilestream
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12)
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libvolatilestream.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libvolatilestream
Rules-Requires-Root: no

Package: libvolatilestream-dev
Section: libdevel
Architecture: any
Depends: libvolatilestream0 (= ${binary:Version}), ${misc:Depends}
Description: stdio stream as volatile memory buffers (devel)
 A volatile stream is a stdio FILE* stream as a temporary dynamically
 allocated (and deallocated) memory buffer.
 The volstream_open function opens a stdio stream as a temporary memory
 buffer. The buffer is dynamically  allocated, grows as needed and it is
 automatically deallocated when the stream is closed.
 .
 This package contains the development files used for C programs.

Package: libvolatilestream0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: stdio stream as volatile memory buffers (library)
 A volatile stream is a stdio FILE* stream as a temporary dynamically
 allocated (and deallocated) memory buffer.
 The volstream_open function opens a stdio stream as a temporary memory
 buffer. The buffer is dynamically  allocated, grows as needed and it is
 automatically deallocated when the stream is closed.
 .
 This package contains the shared library.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/rd235/libvolatilestream/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libvolatilestream 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.12)
 project(volatilestream
-    VERSION 0.2.0
+    VERSION 1.0.1
     DESCRIPTION "FILE* stream as a temporary allocated memory buffer"
     HOMEPAGE_URL "https://github.com/rd235/libvolatilestream"
     LANGUAGES C)
 
 include(GNUInstallDirs)
 add_definitions(-D_GNU_SOURCE)
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -O2 -D_FORTIFY_SOURCE=2")
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 set(HEADERS_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/include)

=== man/Makefile ===
MAKEFLAGS += --silent
PANDOC=pandoc
PANDOCOK := $(shell command -v ${PANDOC} 2> /dev/null)
PANDOCMINVER=3.1.7

ifdef PANDOCOK
PANDOCVER := $(shell ${PANDOC} -v | head -1 | cut -d ' ' -f 2)
PANDOCVEROK := $(shell printf '%s\n' ${PANDOCMINVER} ${PANDOCVER} | sort -C -V; echo $$?)
none:
endif

% : %.md
ifdef PANDOCOK
ifeq (${PANDOCVEROK}, 1)
		echo "${PANDOC} ${PANDOCVER} < ${PANDOCMINVER}. $@ can create font warnings with man/groff" >/dev/stderr >&2
endif
# copy copyright notice
		grep "^\.\\\\\"" $< > $@ || true
# run pandoc
		$(eval SECTION := $(subst .,,$(suffix $@)))
		$(eval BASENAME := $(basename $@))
		$(eval TITLE := $(shell echo "${BASENAME}\(${SECTION}\)" | tr [:lower:] [:upper:]))
		$(eval HEADER := "$(shell man ${SECTION} intro | head -1 | sed -e 's/^[^[:blank:]]*[[:blank:]]*//' -e 's/[[:blank:]]*[^[:blank:]]*$$//' )")
		$(PANDOC) -standalone -M title=${TITLE} -M section=${SECTION} -M header=${HEADER} -M footer=${PANDOC_ORG} -M "date=`date +\"%B %Y\"`" --to man $< >> $@
# workaround for boldface rendering
		sed -i -e 's/\\f\[CR\]/\\f\[CB\]/g' $@ || true
		echo "$@ manpage updated" >/dev/stderr >&2
else
		echo "${PANDOC} is not available. Manpage $@ cannot be updated" >/dev/stderr >&2
endif

=== debian/changelog ===
libvolatilestream (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2.
  * Bump SOVERSION.
  * d/watch: drop filenamemangle and uupdate.
  * d/rules: drop all the boilerplate.
  * d/control: Bump Standards-Version to 4.7.0, no changes needed.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Nov 2024 19:53:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: libvolatilestream
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
-Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake (>= 3.12)
-Standards-Version: 4.5.0
+Uploaders:
+ Mattia Biondi <mattiabiondi1@gmail.com>,
+ Renzo Davoli <renzo@cs.unibo.it>,
+ Andrea Capriotti <capriott@debian.org>,
+Build-Depends:
+ cmake (>= 3.12),
+ debhelper-compat (= 13),
+Standards-Version: 4.7.0
 Section: libs
 Homepage: http://www.virtualsquare.org/
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/libvolatilestream.git
@@ -13,7 +18,9 @@
 Package: libvolatilestream-dev
 Section: libdevel
 Architecture: any
-Depends: libvolatilestream0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libvolatilestream1 (= ${binary:Version}),
+ ${misc:Depends},
 Description: stdio stream as volatile memory buffers (devel)
  A volatile stream is a stdio FILE* stream as a temporary dynamically
  allocated (and deallocated) memory buffer.
@@ -23,9 +30,11 @@
  .
  This package contains the development files used for C programs.
 
-Package: libvolatilestream0
+Package: libvolatilestream1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: stdio stream as volatile memory buffers (library)
  A volatile stream is a stdio FILE* stream as a temporary dynamically
  allocated (and deallocated) memory buffer.

=== debian/watch ===
version=4

https://github.com/rd235/libvolatilestream/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
